## gate.util
Class Tools

    java.lang.Object
      |
      +--gate.util.Tools

public class Tools
extends Object

Constructor Summary
`Tools()`

Method Summary
`static Long` `gensym()` Returns a Long wich is unique during the current run.
`static Long` `genTime()`
`static boolean` `isUnicodeEnabled()` Checks wheter Gate is Unicode enabled
`static void` `setUnicodeEnabled(boolean value)` Specifies whether Gate should or shouldn't know about Unicode

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tools

    public Tools()

Method Detail

### gensym

    public static Long gensym()

  Returns a Long wich is unique during the current run. Maybe we should use serializaton in order to save the state on System.exit...

### genTime

    public static Long genTime()

### setUnicodeEnabled

    public static void setUnicodeEnabled(boolean value)

  Specifies whether Gate should or shouldn't know about Unicode

### isUnicodeEnabled

    public static boolean isUnicodeEnabled()

  Checks wheter Gate is Unicode enabled